#
# spec file for package xbanner (Version 1.31)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xbanner
Copyright:    GPL2
Group:        X11/Utilities
Requires:     xf86
Autoreqprov:  on
Version:      1.31
Release:      164
Summary:      X-Background writings and images
URL:          http://chaos.fullerton.edu/XBanner/
Source:       XBanner%{version}.tar.bz2
Patch:        XBanner%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
How about your company's name in the background of the login screen? Or
your company's logo? It will surely work with xbanner which is designed
for the use with e.g. XDM login screens.
Many example configurations may be found in /usr/share/xbanner
and its subdirectories.
Documentation lies in /usr/share/doc/packages/xbanner. There
you can find a HTML version of the documents.

Authors:
--------
    Amit Margalit <amitm@netvision.net.il>

SuSE series: xap

%prep
%setup -n XBanner%{version}
%patch

%build
xmkmf -a
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
#
# examples
#
BINDIR=../../../X11R6/bin
DEMODIR=$RPM_BUILD_ROOT/usr/share/xbanner
APPDEF=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
install -d $DEMODIR
(cd samples/ && cp -a * $DEMODIR)
(cd $DEMODIR/Demo
cat Demo.bash | sed -e "s:\.\./\.::g" >Demo
rm Demo.bash
ln -s $BINDIR/xbanner
ln -s $BINDIR/freetemp
cd ..
rm README.Demo XBanner.sample
install -d $APPDEF
mv XBanner.ad $APPDEF/XBanner
)
#
# docs
#
DOCDIR=$RPM_BUILD_ROOT/$RPM_DOC_DIR/xbanner
install -d $DOCDIR
install -m 644 *.xpm $DEMODIR
install -m 644 docs/{C*,*.html,*.gif} $DOCDIR

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/share/xbanner/
%doc %{_docdir}/xbanner/
/usr/X11R6/bin/*
%config /usr/X11R6/lib/X11/app-defaults/XBanner

%changelog -n xbanner
* Wed Sep 13 2000 - vinil@suse.cz
- upgrade to 1.31
- major file relocation
- description fixed
* Wed Jul 19 2000 - vinil@suse.cz
- no more requires xpm
* Thu May 04 2000 - vinil@suse.cz
- buildroot added
- bugs in demos fixed
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 02 1997 - maddin@suse.de
  first S.u.S.E. version
  copy all sample files to /usr/X11R6/lib/X11/xbanner
  copy all doc files (including html) to /usr/doc/packages/xbanner
